Bug 1280480

Summary: Review Request: python-duecredit - Automated collection and reporting of citations for used software/methods/datasets
Product: [Fedora] Fedora Reporter: Igor Gnatenko <ignatenko>
Component: Package ReviewAssignee: Zbigniew Jędrzejewski-Szmek <zbyszek>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: i.gnatenko.brain, package-review, quantum.analyst, sanjay.ankur, zbyszek
Target Milestone: ---Flags: zbyszek: fedora-review?
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: AwaitingSubmitter
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-08-22 07:31:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1280464    
Bug Blocks: 201449, 1276941, 1534067    

Description Igor Gnatenko 2015-11-11 20:28:34 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-duecredit.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-duecredit-0.4.4.1-1.fc24.src.rpm
Description:
duecredit is being conceived to address the problem of inadequate citation of
scientific software and methods, and limited visibility of donation requests
for open-source software.

It provides a simple framework (at the moment for Python only) to embed
publication or other references in the original code so they are automatically
collected and reported to the user at the necessary level of reference detail,
i.e. only references for actually used functionality will be presented back if
software provides multiple citeable implementations.
Fedora Account System Username: ignatenkobrain

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-26 01:58:23 UTC
OK, the usual question: are the scripts in /usr/bin python-version specific, or is one script sufficient to use on both python2 and python3 code?

Comment 2 Igor Gnatenko 2016-11-19 18:23:00 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> OK, the usual question: are the scripts in /usr/bin python-version specific,
> or is one script sufficient to use on both python2 and python3 code?
One script is sufficient.

I willupdate all this stuff.

Comment 3 Elliott Sales de Andrade 2018-01-01 21:07:54 UTC
Ping Igor?

Comment 4 Ankur Sinha (FranciscoD) 2018-08-13 16:26:18 UTC
Igor, if you're busy, I can package this up for the neurofedora sig. I'll close this and open a new review ticket?

Please do let us know.

Cheers,
Ankur

Comment 5 Igor Gnatenko 2018-08-22 07:31:57 UTC
Unfortunately I don't have time to work on these review requests anymore, sorry.

Comment 6 Ankur Sinha (FranciscoD) 2018-08-22 10:15:16 UTC
I'll take this up and submit a new review. Thanks, Igor.